
public class MetodoMatchesDni {
	
	public static void main(String[] args) {
		System.out.print("Introduzca NIF:");
		String nif=Entrada.cadena();
		nif=nif.toUpperCase();
		
		if (nifValido(nif))
			System.out.println("NIF CORRECTO");
		else
			System.out.println("NIF INCORRECTO !!!");
	}

	private static boolean nifValido(String nif) {
		if (!nif.matches("[0-9]{1,8}[A-Z]{1}"))
			return false;
		//Rellenamos hasta 8 digitos con ceros por la izquierda
		if (nif.length()<9){
			String ceros=repiteCaracter('0', 9-nif.length()); //0000....
			nif=ceros+nif;
		}
		//Comprobamos letra
		String letras="TRWAGMYFPDXBNJZSQVHLCKE";
		//Cogemos los 8 digitos
		int indice= Integer.valueOf(nif.substring(0, 8)) % 23;
		char letraCalculada=letras.charAt(indice);
		char letraNIF=nif.charAt(nif.length()-1); //Ultimo caracter del nif
		return letraCalculada==letraNIF;
	}
	
	private static String repiteCaracter(char caracter, int veces){
		String repet="";
		
		for(int i=1;i<=veces;i++)
			repet = repet + caracter;
		return repet;
		
	}

}
