package geometria;
import java.io.*;

public class Entrada {
	static String inicializar() {
		String buzon = "";
		InputStreamReader flujo = new InputStreamReader(System.in);
		BufferedReader teclado = new BufferedReader(flujo);
		try {
			buzon = teclado.readLine();
		} catch (Exception e) {
			System.out.append("Entrada incorrecta)");
		}
		return buzon;
	}

	public static int entero() {
		int valor = Integer.parseInt(inicializar());
		return valor;
	}

	static double real() {
		double valor = Double.parseDouble(inicializar());
		return valor;
	}

	static String cadena() {
		String valor = inicializar();
		return valor;
	}

	static char caracter() {
		String valor = inicializar();
		return valor.charAt(0);
	}

	public static int enteroValido(String menError, int maxFallos) {
		
		int n=0;
		int fallos=0;
		boolean error=false;
		do {
			try {
				error=false;
				n = entero();
			} catch (NumberFormatException e) {
				error=true;
				fallos++;
				if (fallos == maxFallos) {
					throw new RuntimeException(maxFallos+" intentos invalidos");
				}
				if (menError == null)
					System.out.println("Numero incorrecto!!");
				else
					System.out.println(menError);
			}
		} while (error);
		return n;
		
	}
}