package gestionPersonas; 

public class GestionarPersonas {

	public static void main(String[] args) {
		
		Persona [] per=new Persona[50];
		char opcion;
		do{
			System.out.println("A-Alta");
			System.out.println("C-Consulta");
			System.out.println("M-Modificacion");
			System.out.println("B-Baja");
			System.out.println("L-Listado");
			System.out.println("S-Salir");
						
			opcion=Entrada.caracter();
			
			switch(opcion){
			case 'A':
				alta(per);
				break;
			case 'C':
				consulta(per);
				break;
			case 'M':
				modificacion(per);
				break;
			case 'B':
				baja(per);
				break;	
			case 'L':
				listado(per);
				break;
			case 'S':
				break;
			default:
				System.out.println("Opcion incorrecta");
			}
		}while (opcion!='S');

	}

	private static void listado(Persona[] per) {
		for (int i=0;i<per.length;i++){
			if (per[i]!=null)		
				System.out.println(per[i]);	
		}
		
	}

	private static void baja(Persona[] per) {
		System.out.print("NIF?");
		String nif=Entrada.cadena();
		int pos;
		if ((pos=buscar(per, nif))==-1){
			System.out.println("Este NIF NO EXISTE !!!");
			return;
		}
		//Borramos el objeto
		per[pos]=null;
		
	}

	private static void modificacion(Persona[] per) {
		System.out.print("NIF?");
		String nif=Entrada.cadena();
		int donde;
		if ((donde=buscar(per, nif))==-1){
			System.out.println("NO EXISTE !!!");
			return;
		}
		
		System.out.println("Nombre["+per[donde].getNombre()+"]?");
		String nuevo=Entrada.cadena();
		if (!nuevo.equals(""))
			per[donde].setNombre(nuevo);
		System.out.println("Edad["+per[donde].getEdad()+"]?");
		nuevo=Entrada.cadena();
		if (!nuevo.equals(""))
			per[donde].setEdad(Integer.valueOf(nuevo));
	}

	private static void consulta(Persona[] per) {
		System.out.print("NIF?");
		String nif=Entrada.cadena();
		int donde;
		if ((donde=buscar(per, nif))==-1){
			System.out.println("NO EXISTE !!!");
			return;
		}
		
		System.out.println(per[donde]);

	}

	private static void alta(Persona[] per) {
		System.out.print("NIF?");
		String nif=Entrada.cadena();
		if (buscar(per, nif)!=-1){
			System.out.println("Este NIF YA EXISTE !!!");
			return;
		}
		//Buscamos hueco donde insertar
		int hueco=buscaHueco(per);
		if (hueco==-1)
		{
			System.out.println("No caben mas personas !!!");
			return;
		}
		System.out.print("Nombre?");
		String nombre=Entrada.cadena();
		System.out.print("Edad?");
		int edad=Entrada.entero();
		//Insertamos nueva persona en array
		per[hueco]=new Persona(nif,nombre,edad);

	}
	private static int buscaHueco(Persona[] per) {
		for (int i=0;i<per.length;i++){
			if (per[i]==null)		
				return i;	
		}
		return -1;
	}

	private static int buscar(Persona[] per, String nif) {
		for (int i=0;i<per.length;i++){
			if (per[i]!=null){			
				if (per[i].getNif().equals(nif))
					return i;	
			}
		}
		return -1;
	}

}
