package coches;
public class Coche {
	private String modelo;
	private int color;
	private int velocidad;
	Remolque rem;
	
	public Coche(char tipoMov){
		
			this("Medio Huevo",1,0);
			switch(tipoMov){
				case 'P'://Parado
					velocidad=0;
					break;
				case 'M'://Movimiento
					velocidad=15;
					break;	
			}
	}
	
	
	public Coche(String m,int c,int velocidad){
		
		setModelo(m);
		color=c;
		this.velocidad=velocidad;
	}
	

	public Coche(){
		this("Mafioso",1,0);
	}
	
	public String getModelo() {
		return modelo;
	}
	
	public void setModelo(String m) {
		switch (m){
			case "Mafioso":
			case "Medio Huevo":
				modelo = m;
				break;
		}
	}
	public int getColor() {
		
		return color;
	}
	public void setColor(int color) {
		switch (color){
			case 1:
			case 2:
			case 3:
				this.color = color;
		}
	}
	public int getVelocidad() {
		return velocidad;
	}
	public void setVelocidad(int velocidad) {
		this.velocidad = velocidad;
	}
	
	public void dibujar()
	{
		switch (modelo){
		case "Mafioso":
			dibujarMafioso();
			break;
		case "Medio Huevo":
			dibujarMedioHuevo();
			break;
		}
	}

	private void dibujarMedioHuevo() {
		System.out.println("    *");
		System.out.println("  *****");
		System.out.println("*********");		
		System.out.println("  *   *");
	}

	private void dibujarMafioso() {
		System.out.println("***");
		System.out.println("***");
		System.out.println("********");		
		System.out.println("********");
		System.out.println(" *    *");
	}
	
}
