package Ej3_2ev;
import java.util.ArrayList;

public class ListaEspecial1 {
	int capacidad;
	ArrayList<Integer> miLista;
	
	
	public ListaEspecial1(int capacidad) {
		super();
		this.capacidad = capacidad;
		miLista = new ArrayList<Integer>();
	}

	@Override
	public String toString() {
		return "ListaEspecial1 [capacidad=" + capacidad + ", miLista="
				+ miLista + "]";
	}

	public int elimina(int numero) throws IllegalArgumentException {
	

		for (int i=0;i<miLista.size();i++)
		{
			if (miLista.get(i)==numero) //Encontrado
			{
				miLista.remove(i);
				return i;
			}
			
		}
		//No eliminado
		throw new IllegalArgumentException();
	}
	
	public void inserta(int numero) throws IllegalArgumentException {
		ArrayList<Integer> nuevo=new ArrayList<Integer>();
		boolean heInsertado=false;
		

		for (int i=0;i<miLista.size();i++)
		{
			if (miLista.get(i)==numero) //Duplicado
					throw new IllegalArgumentException();
			else
			{
				if (miLista.get(i)>numero && !heInsertado)
				{
					nuevo.add(numero);
					heInsertado=true;
				}
				nuevo.add(miLista.get(i));
			}
		}
		if (!heInsertado)
			nuevo.add(numero);
		
		//Borrar excedente si lo hay
		if (nuevo.size() > capacidad)
			nuevo.remove(capacidad);
		
		miLista=nuevo;
	}
}
