package CocheManualAutomatico;

public final class CocheCambioManual extends Coche {

	public CocheCambioManual(String mat) {
		super(mat);

	}

	@Override
	public void cambiarMarcha(int m) throws IllegalArgumentException {
		if (m >= 0 && m <= MAX_MARCHA) {
			super.cambiarMarcha(m);
		} else {
			throw new IllegalArgumentException();
		}
	}

	@Override
	public String toString() {
		return super.toString() + "Cambio Manual";
	}

}