public class MatrizAritmeticaGeometrica {

	public static void main(String[] args) {
		int[][] m;

		m = generarMatriz(3, 10, 4, 2);
		imprimirMatriz(m);
	}

	private static void imprimirMatriz(int[][] m) {
		for (int i = 0; i < m.length; i++) {
			for (int j = 0; j < m[0].length; j++)
				System.out.print(m[i][j] + "\t");
			System.out.println();// Salto de linea entre filas
		}
	}

	private static int[][] generarMatriz(int filas, int cols, int razonA,
			int razonG) {// Devuelve una matriz donde la primera fila es una
							// serie aritmetica
		// comenzado en 0 con razon razonArit
		// La segunda fila y siguientes se generan multiplicando por razonGeom
		// el elemento de la fila anterior
		if (filas < 1 || cols < 1)
			return null;
		int[][] m = new int[filas][cols];
		// Creacion primera fila
		m[0][0] = 0;
		for (int j = 1; j < m[0].length; j++)
			m[0][j] = m[0][j - 1] + razonA; // El de la izquierda + razon
		// Creacion de segunda fila y sucesivas
		for (int i = 1; i < m.length; i++)
			for (int j = 0; j < m[0].length; j++) {
				m[i][j] = m[i - 1][j] * razonG;// El de arriba * razon
												// geometrica.
			}
		return m;

	}
}
