package Fechas;


import java.util.Calendar;
import java.util.GregorianCalendar;

import Utilidades.Entrada;




public class AdivinaDiaDeLaSemana {


	
	
	public static void main(String[] args) {
		//Toma la fecha y hora del sistema
		GregorianCalendar gc=new GregorianCalendar();
		gc.setLenient(false);
		System.out.print("Dia(1..31):");
		int dia=Entrada.entero();
		gc.set(Calendar.DAY_OF_MONTH, dia);
		gc.get(Calendar.DAY_OF_MONTH);
		System.out.print("Mes(1..12):");
		int mes=Entrada.entero();
		gc.set(Calendar.MONTH, mes-1); //Pasamos a 0..11
		System.out.print("Ao:");
		int ao=Entrada.entero();
		gc.set(Calendar.YEAR, ao);
		System.out.println(gc.getTime());
		System.out.println("Esa fecha fue, es o ser:"+diaSemana(gc.get(Calendar.DAY_OF_WEEK)));
		System.out.println("Ao:"+(gc.isLeapYear(gc.get(Calendar.YEAR))?"BISIESTO":"NO BISIESTO"));
	}

	private static String diaSemana(int d) {
		switch(d){
		case Calendar.MONDAY:
			return "Lunes";
		case Calendar.TUESDAY:
			return "Martes";
		case Calendar.WEDNESDAY:
			return "Miercoles";
		case Calendar.THURSDAY:
			return "Jueves";
		case Calendar.FRIDAY:
			return "Viernes";
		case Calendar.SATURDAY:
			return "Sabado";
		case Calendar.SUNDAY:
			return "Domingo";
		}
		return null;
	}

}
