package Fechas;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.List;

import Utilidades.Entrada;



public class OrdenarFechas {

	public static void main(String[] args) {
		List<Date> fechas = new ArrayList<Date>();
		String dato = null;
		SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
		sdf.setLenient(false);
		// Cargar arraylist con fechas
		do {
			try {
				System.out.print("Fecha (DD-MM-AAAA)?");
				dato = Entrada.cadena().toLowerCase();
				if (!dato.equals("fin")) {
					Date d = sdf.parse(dato);
					fechas.add(d);
				}
			} catch (ParseException e) {
				System.out.println("Fecha incorecta");
			}

		} while (!dato.equals("fin"));
		// Orden ascendente
		Collections.sort(fechas, new OrdenPorFechaAscendente());
		System.out.println("De mas antiguo a mas moderno");
		for (int i = 0; i < fechas.size(); i++) {
			System.out.println(sdf.format(fechas.get(i)));
		}
		// Orden descendente
		Collections.sort(fechas, new OrdenPorFechaDescendente());
		System.out.println("De mas moderno a mas antiguo");
		for (int i = 0; i < fechas.size(); i++) {
			System.out.println(sdf.format(fechas.get(i)));
		}
	}
}
