package HIGHWAY;



import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import Utilidades.Entrada;

public class IntroducirPuntoKilometricos {
	public static void main(String[] args) {
		List<Tramo> pk = new ArrayList<Tramo>();
		String dato = null;
		double desde = -1;
		double hasta = -1;
		double valor;
		do {
			try {
				System.out.print("PK?");
				dato = Entrada.cadena().toLowerCase();
				if (!dato.equals("fin")) {
					valor = Double.valueOf(dato);
					if (valor < 0) {
						System.out.println("No se admiten negativos");
					} else {
						if (desde == -1)
							desde = valor;
						else
							hasta = valor;
						if (desde != -1 && hasta != -1) {
							pk.add(new Tramo(desde, hasta));
							desde = hasta;
						}
					}
				}
			} catch (NumberFormatException e) {
				System.out.println("Numero incorecto");
			} catch (TramoInvalido e) {
				System.out.println(e.getMessage());
			}
		} while (!dato.equals("fin"));
		//Listado de tramos
		for (int i=0;i<pk.size();i++)
			System.out.println("Tramo"+(i+1)+": "+pk.get(i).getDesde()+" --> "+pk.get(i).getHasta()+":"+pk.get(i).distancia()+ " Km");
		Collections.sort(pk);
		System.out.println("== Distancia ascendente ===");
		for (int i=0;i<pk.size();i++)
			System.out.println("Tramo"+(i+1)+": "+pk.get(i).getDesde()+" --> "+pk.get(i).getHasta()+":"+pk.get(i).distancia()+ " Km");

		Collections.sort(pk,new OrdenarPorDistanciaDescendente());
		System.out.println("== Distancia Descendente ===");
		for (int i=0;i<pk.size();i++)
			System.out.println("Tramo"+(i+1)+": "+pk.get(i).getDesde()+" --> "+pk.get(i).getHasta()+":"+pk.get(i).distancia()+ " Km");
		Collections.sort(pk,new OrdenarPorDistanciaAscendente());
		System.out.println("== Distancia Ascendente(COMPARATOR) ===");
		for (int i=0;i<pk.size();i++)
			System.out.println("Tramo"+(i+1)+": "+pk.get(i).getDesde()+" --> "+pk.get(i).getHasta()+":"+pk.get(i).distancia()+ " Km");

	}
}
