package Geometria;

import Geometria.Punto;

public class Recta {
	Punto a;
	Punto b;

	public Recta(Punto a, Punto b) {
		this.a = a;
		this.b = b;
	}

	public boolean sonParalelas(Recta r) {
		System.out.println(r.pendiente() + " " + this.pendiente());
		if (r.pendiente() == this.pendiente()) {
			return true;
		}
		return false;
	}

	public boolean sonPerpendiculares(Recta r) {
		if (Math.abs(this.pendiente() - r.pendiente()) == 1)
			return true;
		else if (this.pendiente() == -1 / r.pendiente()) {
			return true;
		}
		return false;
	}

	public double pendiente() {
		double pendiente;

		if (b.getX() - a.getX() == 0)
			return 1;
		else {
			pendiente = (b.getY() - a.getY()) / (b.getX() - a.getX());
			return pendiente;
		}

	}
	
	//Getters y Setters
	
	public Punto getA() {
		return a;
	}

	public void setA(Punto a) {
		this.a = a;
	}

	public Punto getB() {
		return b;
	}

	public void setB(Punto b) {
		this.b = b;
	}
	
	//Fin Getters y Setters

}
