package geometria;

public class OrdenarCuadradosPorArea {

	public static void main(String[] args) {
		Cuadrado[] cuad = new Cuadrado[10];
		String dato = null; // Leeemos del teclado en esta variable
		int cnt = 0; // Cuenta cuadrados introducidos
		// Carga cuadrados en array
		do {
			try {
				//Se obtiene x 
				System.out.print("X (vertice sup.izq.:");
				dato = Entrada.cadena().toLowerCase();
				if (dato.equals("fin"))
					break;
				double x = Double.valueOf(dato);
				//Se obtiene y
				System.out.print("Y (vertice sup.izq.:");
				dato = Entrada.cadena().toLowerCase();
				if (dato.equals("fin"))
					break;
				double y = Double.valueOf(dato);
				//Se obtiene lado
				System.out.print("Longitud lado:");
				dato = Entrada.cadena().toLowerCase();
				if (dato.equals("fin"))
					break;
				double lado = Double.valueOf(dato);
				//Creamos cuadrado
				Cuadrado c=new Cuadrado(x, y, lado);
				//Introduce cuadrado en array
				cuad[cnt]=c;
				cnt++;
			} catch (NumberFormatException e) {
				System.out.println("Valor incorrecto");
			} catch (Exception e) {
				System.out.println(e.getMessage()); //Cuadrado incorrecto
			}

		} while (cnt < cuad.length);
		//Ordena array con los objetos cuadrado segun su area
		ordenarPorBurbuja(cuad);
		//Muestra cuadrados en array junto con su area
		for (int i=0;i<cuad.length;i++){
			if (cuad[i]!=null){
				System.out.println("Area:"+cuad[i].area()+" "+cuad[i]);
			}
		}
	}

	private static void ordenarPorBurbuja(Cuadrado[] cuad) {
			int flota;
			do{
				flota=0;
				for (int i=0;i<=cuad.length-2;i++){
					if (cuad[i]==null||cuad[i+1]==null)
						break; //Sale del for, no hay cuadrado
					if (cuad[i].area()>cuad[i+1].area()){
						flota=1;
						Cuadrado aux;
						aux=cuad[i];
						cuad[i]=cuad[i+1];
						cuad[i+1]=aux;
					}
				}
			}while (flota!=0);
	}

}
