package geometria;

public class Recta {
	private Punto a;
	private Punto b;

	public Recta(Punto a, Punto b) {
		if (a.equals(b)){
			System.out.println("Puntos iguales. NO PUEDO CREAR RECTA");
			return;
		}
		this.a = a;
		this.b = b;
	}

	public Recta(double xa, double ya, double xb, double yb) {
		this(new Punto(xa, ya),new Punto(xb, yb));
	}

	public Recta(double x, double y) {
		this(new Punto(0,0),new Punto(x,y));
	}

	public Recta(Punto p) {
		this(new Punto(0,0),p);
	}

	public String toString() {
		return "Recta [a=" + a + ", b=" + b + "]";
	}
	
	public double pendiente(){
		return ((a.getY()-b.getY())/(a.getX()-b.getX()));
	}
	
	public boolean esParalela(Recta r){
		return pendiente()== r.pendiente();
	}
	public boolean esPerpendicular(Recta r){
		return this.pendiente()== -1/r.pendiente();
	}
}
