package Ej3_2ev;

import java.util.Arrays;

public class ListaEspecial2 {
	int capacidad;
	Integer [] miLista;
	
	
	public ListaEspecial2(int capacidad) {
		super();
		this.capacidad = capacidad;
		miLista = new Integer[capacidad];
	}

	@Override
	public String toString() {
		return "ListaEspecial2 [capacidad=" + capacidad + ", miLista="
				+ Arrays.toString(miLista) + "]";
	}

	public int elimina(int numero) throws IllegalArgumentException {
	
		int posBorrada=-1;
		
		for (int i=0;i<miLista.length;i++)
		{
			if (miLista[i]==numero) //Encontrado
			{
				miLista[i]=null;
				posBorrada=i;
			}
		}
		if (posBorrada==-1)//No eliminado
			throw new IllegalArgumentException();
		//Compacto array eliminando hueco que ha dejado el borrado
		Integer [] nuevo=new Integer[capacidad];
		int cnt=0;
		for (int i=0;i<miLista.length;i++)
		{
			if (miLista[i]!=null)
			{
				nuevo[cnt]=miLista[i];
				cnt++;
			}
		}
		miLista=nuevo;
		return posBorrada;	
	}
	
	public void inserta(int numero) throws IllegalArgumentException {
		Integer [] nuevo=new Integer[capacidad+1];
		boolean heInsertado=false;
		int cnt=0;
		
		for (int i=0;i<miLista.length && miLista[i]!=null ;i++)
		{
			if (miLista[i]==numero) //Duplicado
					throw new IllegalArgumentException();
			else
			{
				if (miLista[i]>numero && !heInsertado)
				{
					nuevo[cnt]=numero;
					cnt++;
					heInsertado=true;
				}
				nuevo[cnt]=miLista[i];
				cnt++;
			}
		}
		if (!heInsertado)
			nuevo[cnt]=numero;
		
		
		//Copio todas las casillas excepto la ultima
		for (int i=0;i<nuevo.length-1;i++)
			miLista[i]=nuevo[i];
	}
}
