package CocheManualAutomatico;

public final class CocheCambioAutomatico extends Coche {

	public CocheCambioAutomatico(String m) {
		super(m);
	}

	@Override
	public void acelerar(int v) {
		if (v > 0) {
			velocidad = velocidad + v;
			if (velocidad < 10) {
				cambiarMarcha(1);
			} else if (velocidad < 20) {
				cambiarMarcha(2);
			} else if (velocidad < 30) {
				cambiarMarcha(3);
			} else {
				cambiarMarcha(4);
			}
		} else {
			frenar(v);
			if (velocidad < 10) {
				cambiarMarcha(1);
			} else if (velocidad < 20) {
				cambiarMarcha(2);
			} else if (velocidad < 30) {
				cambiarMarcha(3);
			} else {
				cambiarMarcha(4);
			}
		}
	}

	@Override
	public void frenar(int v) {
		if (v < 0) {
			velocidad = velocidad + v;
		} else {
			acelerar(v);
		}
	}

	@Override
	public String toString() {
		return super.toString() + "Cambio Automtico";
	}
}