public class IterativoYRecursivo {

	public static void main(String[] args) {

		cuentaAtras(5);
		System.out.println("================");
		cuentaAtrasRec(5);
		System.out.println("================");
		System.out.println("El factorial de 4 es:"+factorial(4));
		System.out.println("================");
		System.out.println("El factorial de 4 es:"+factorialRec(4));
	}

	// Version iterativa(mediante bucle)
	private static void cuentaAtras(int inicio) {
		for (int i = inicio; i > 0; i--)
			System.out.println(i);

	}

	// Version recursiva(mediante llamadas a s mismo)
	private static void cuentaAtrasRec(int inicio) {
		if (inicio == 0)
			return;
		else {
			System.out.println(inicio);
			cuentaAtrasRec(inicio - 1);
		}
	}
	

	// Version iterativa(mediante bucle)
	private static int  factorial(int n) {
		int prod=1;
		
		for (int i = n; i>0; i--)
			prod=prod*i;
		return prod;
	}
	

	// Version recursiva(mediante llamadas a s mismo)
	private static int  factorialRec(int n) {
		if (n==1)
			return 1;
		else
			return n*factorialRec(n-1);
	}
	
}
