public class ProgresionesAritmeticaGeometrica {

	public static void main(String[] args) {
		int inicio, elementos, incremento;

		System.out.println("Introduzca el valor inicial de la serie: ");
		inicio = Entrada.entero();
		System.out
				.println("Introduzca el nmero de elementos a calcular de la serie: ");
		elementos = Entrada.entero();
		System.out.println("Introduzca la razon de la progresn: ");
		incremento = Entrada.entero();

		int resultado[] = generarSerieAritmetica(inicio, elementos, incremento);
		System.out.println("\n\tSerie Aritmtica:");
		for (int i = 0; i < resultado.length; i++) {
			System.out.println("El elemento " + (i + 1)
					+ " de la progresin es: " + resultado[i]);
		}

		resultado = generarSerieGeometrica(inicio, elementos, incremento);
		System.out.println("\n\tSerie Geomtrica: ");
		for (int i = 0; i < resultado.length; i++) {
			if (resultado[i] != 0) {
				System.out.println("El elemento " + (i + 1)
						+ " de la progresin es: " + resultado[i]);
			}
			if (resultado.length - 1 == i && inicio == 0) {
				System.out
						.println("Si el valor inicial es 0 la progresin ser 0.");
			}
		}
	}

	static int[] generarSerieAritmetica(int valorInicial, int numeroElementos,
			int razon) {

		if (numeroElementos <= 0)
			return null;

		int serie[] = new int[numeroElementos];

		serie[0] = valorInicial;
		for (int i = 1; i < serie.length; i++) {
			serie[i] = serie[i - 1] + razon;
		}

		return serie;
	}

	static int[] generarSerieGeometrica(int valorInicial, int numeroElementos,
			int razon) {

		if (numeroElementos <= 0)
			return null;

		// No generamos series geom. con razon negativa
		if (razon <= 0)
			return null;

		int serie[] = new int[numeroElementos];
		serie[0] = valorInicial;

		for (int i = 1; i < serie.length; i++) {
			serie[i] = serie[i - 1] * razon;
		}

		return serie;
	}
}