package FormasGeomtricas;

public class Cuadrado {
	

	
		private Punto a;
		private Punto b;
		private Punto c;
		private Punto d;
		
		public Cuadrado(Punto a, Punto b, Punto c, Punto d)throws CuadradoException{
			if (a.equals(b)|| a.equals(c) ||a.equals(d) || b.equals(c)||b.equals(d)||c.equals(d)){
				throw new CuadradoException("Hay puntos que coinciden, no se puede crear el cuadrado");
				}
			Recta ab=new Recta(a,b);
			Recta bc=new Recta(b,c);
			Recta cd=new Recta(c,d);
			Recta da=new Recta(d,a);
			
			
			
			if (b.distancia(d)!=a.distancia(c)){
				throw new CuadradoException();
				}
			
			if (a.distancia(b)!=b.distancia(c)){
				System.out.println("los lados no son iguales");
				return;}
			
			if ( ! ab.esParalela(cd) && ! bc.esParalela(da)){
				System.out.println("no es un cuadrado");
				return;
			}
				
			this.a=a;
			this.b=b;
			this.c=c;
			this.d=d;
			
			
			
			
		}
		public Cuadrado(double a, double b, double c, double d, double e, double f,double g,double h) throws CuadradoException{
			this(new Punto(a, b), new Punto(c,d), new Punto (e,f), new Punto (g,h));
		}
		//constructor de punto y lado
		public Cuadrado(double x, double y, double l) throws CuadradoException{
			this(new Punto(x,y), new Punto (x+l,y), new Punto(x+l,y-l), new Punto(x,y-l));
			
		}
		//constructor solo con el lado
		public Cuadrado(double lado) throws CuadradoException{
			this(new Punto(0,lado), new Punto (lado,lado), new Punto(lado,0), new Punto(0,0));
		}
		
		public Punto getA() {
			return a;
		}
		public void setA(Punto a) {
			this.a = a;
		}
		public Punto getB() {
			return b;
		}
		public void setB(Punto b) {
			this.b = b;
		}
		public Punto getC() {
			return c;
		}
		public void setC(Punto c) {
			this.c = c;
		}
		public Punto getD() {
			return d;
		}
		public void setD(Punto d) {
			this.d = d;
		}
		public double perimetro(){
			return a.distancia(b)+b.distancia(c)+c.distancia(d)+d.distancia(a);
		}
					
		
		public double area(){
			return (Math.pow(a.distancia(b),2));
		}
		public double longitudDiagonal(){
			return a.distancia(c);
		}
		public double  longitudLado(){
			return a.distancia(b);
		}
		@Override
		public String toString() {
			String t="Cuadrado \n";
				t += "a= " + a + "\n";
				t += "b= " + b + "\n";
				t += "c= " + c + "\n";
				t += "d= " + d + "\n";
				t += "\n";
				t += "Area= "+this.area()+"\n";
				t += "\n";
			return t;
		}
		static void reAreas(Cuadrado [] S){
			
			int flot = 0;
			Cuadrado aux =null;
			do {
			flot = 0;
			for (int i = 0; i <= S.length - 2; i++)
				if (S[i].area() > S[i + 1].area()) {
					aux = S[i + 1];
					S[i + 1] = S[i];
					S[i] = aux;
					flot = 1;}
			} while (flot != 0);		
			
		System.out.println("El orden de tus cuadrados es: ");
			for (int i = 0; i <= S.length - 1; i++) {
			System.out.print(S[i]);
			if (i != S.length - 1) {
				System.out.print("     menor que     "+"\n");
			} 
			else {
				System.out.print(".");
			}
		}
		
		}
		
		}


