package solucionListaEspecial;


import java.util.ArrayList;

public class ListaEspecial1 {
	int capacidad;
	ArrayList<Integer> miLista;
	
	
	public ListaEspecial1(int capacidad) {
		super();
		this.capacidad = capacidad;
		miLista = new ArrayList<Integer>();
	}

	@Override
	public String toString() {
		return "ListaEspecial1 [capacidad=" + capacidad + ", miLista="
				+ miLista + "]";
	}

	public int elimina(int numero) throws IllegalArgumentException {
	

		for (int i=0;i<miLista.size();i++)
		{
			if (miLista.get(i)==numero) //Encontrado
			{
				miLista.remove(i);
				return i;
			}
			
		}
		//No eliminado
		throw new IllegalArgumentException();
	}
	
	public void inserta(int numero) throws IllegalArgumentException {
		boolean insertado=false;
		int i=0;
		while (!insertado && i<miLista.size())
		{
			if (miLista.get(i)==numero) //Duplicado
					throw new IllegalArgumentException();
			if (numero<miLista.get(i))
			{
				miLista.add(i,numero); //Inserta en la posicion i
				insertado=true;
			}
			i++;
		}
		if (!insertado)
			miLista.add(numero); //Aadimos al final
		
		//Si hemos sobrepasado la capacidad borramos el ultimo
		if (miLista.size() > capacidad)
			miLista.remove(capacidad);
	}
}
