package solucionMultiMedia;

import java.util.ArrayList;

public class ListaMultiMedia  {
	ArrayList<MultiMedia> listaMultimedia;
	private int cuantosDiscos;
	private int cuantasPeliculas;
	
	public ListaMultiMedia(){
		listaMultimedia=new ArrayList<MultiMedia>();
		cuantosDiscos=0;
		cuantasPeliculas=0;
	}

	public void aadirMM(MultiMedia mm) {
		if (mm instanceof Disco)
			cuantosDiscos++;
		else{
			if (mm instanceof Pelcula)
				cuantasPeliculas++;
		}
		listaMultimedia.add(mm);
	}

	@Override
	public String toString() {
		return "ListaMultiMedia [listaMultimedia=" + listaMultimedia
				+ ", cuantosDiscos=" + cuantosDiscos + ", cuantasPeliculas="
				+ cuantasPeliculas + "]";
	}

	public ArrayList<MultiMedia> getListaMultimedia() {
		return listaMultimedia;
	}

	public int getCuantosDiscos() {
		return cuantosDiscos;
	}

	public int getCuantasPeliculas() {
		return cuantasPeliculas;
	}


}
