package solucionMultiMedia;

public class MultiMedia {
	private String ttulo;
	private String autor;
	private Formato formato;
	private int duracin;
	private static final Formato FORMATO_DEF=Formato.DVD;
	private static final int DURACION_DEF=90;
//CONSTRUCTOR POR DEFECTO
	public MultiMedia(){};
//CONSTRUCTOR CON TODOS LOS ATRIBUTOS	
	public MultiMedia(String ttulo, String autor,Formato formato, int duracin) {
		this.ttulo = ttulo;
		this.autor = autor;
		this. formato = formato;
		this.duracin =duracin;
	}	
//CONSTRUCTOR CON DOS PARMETROS	
	public MultiMedia(String ttulo, String autor) {
		this(ttulo, autor,FORMATO_DEF,DURACION_DEF);		
	}		
	
	public String getTtulo(){
		return ttulo;
	}
	public String getAutor(){
		return autor;
	}	
	public Formato getFormato(){
		return formato;
	}	
	public int getDuracin(){
		return duracin;
	}
	public String toString(){
		return "Ttulo: " + ttulo + " De: " + autor + " en" +
				"Formato: " + formato + " Duracin: " + duracin;
	}
	public boolean equals(MultiMedia m){
		return ttulo.equals(m.getTtulo()) && autor.equals(m.getAutor());
	}	
}

